# Asterisk Project : Asterisk 13 Function_CALENDAR_WRITE

Created by wikibot on Aug 08, 2014

# CALENDAR_WRITE()

### Synopsis

Write an event to a calendar

### Description

Example: CALENDAR_WRITE(calendar,field1,field2,field3)=val1,val2,val3

The field and value arguments can easily be set/passed using the HASHKEYS() and HASH() functions

- `CALENDAR_SUCCESS` - The status of the write operation to the calendar
  - 1 - The event was successfully written to the calendar.
  - 0 - The event was not written to the calendar due to network issues, permissions, etc.

### Syntax

    CALENDAR_WRITE(calendar,field[,...])

##### Arguments

- `calendar` - The calendar to write to
- `field`
  - `summary` - A summary of the event
  - `description` - The full event description
  - `organizer` - The event organizer
  - `location` - The event location
  - `categories` - The categories of the event
  - `priority` - The priority of the event
  - `uid` - The unique identifier for the event
  - `start` - The start time of the event (in seconds since epoch)
  - `end` - The end time of the event (in seconds since epoch)
  - `busystate` - The busy status of the event 0=FREE, 1=TENTATIVE, 2=BUSY

### See Also

- Asterisk 13 Function_CALENDAR_BUSY
- Asterisk 13 Function_CALENDAR_EVENT
- Asterisk 13 Function_CALENDAR_QUERY
- Asterisk 13 Function_CALENDAR_QUERY_RESULT

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538